###################################################
### chunk number 1: 
###################################################
options(width=75)


###################################################
### chunk number 2: 
###################################################
data(attitude)


###################################################
### chunk number 3: 
###################################################
library(BMS)


###################################################
### chunk number 4: 
###################################################
att = bms(attitude, mprior = "uniform", g="UIP", user.int=F)


###################################################
### chunk number 5: 
###################################################
coef(att)


###################################################
### chunk number 6: 
###################################################
coef(att, std.coefs=T, order.by.pip=F, include.constant=T) 


###################################################
### chunk number 7: 
###################################################
summary(att) 


###################################################
### chunk number 8: 
###################################################
topmodels.bma(att)[,1:3]


###################################################
### chunk number 9: 
###################################################
image(att)


###################################################
### chunk number 10: 
###################################################
sum(coef(att)[,1])


###################################################
### chunk number 11: 
###################################################
plotModelsize(att)


###################################################
### chunk number 12: 
###################################################
att_fixed = bms(attitude, mprior="fixed", mprior.size=2, user.int=T)


###################################################
### chunk number 13: 
###################################################
att_pip = bms(attitude, mprior="pip", mprior.size=c(.01,.5,.5,.5,.5,.5), user.int=F)


###################################################
### chunk number 14: 
###################################################
plotModelsize(att_fixed) 


###################################################
### chunk number 15: 
###################################################
att_random = bms(attitude, mprior="random", mprior.size=3, user.int=F)
plotModelsize(att_random)


###################################################
### chunk number 16: 
###################################################



###################################################
### chunk number 17: 
###################################################
plotComp(att, att_fixed, att_pip, att_random, cex=2)


###################################################
### chunk number 18: 
###################################################
data(datafls)
fls1 = bms(datafls, burn=50000, iter=100000, g="BRIC", mprior="uniform", nmodel=2000, mcmc="bd", user.int=F)


###################################################
### chunk number 19: 
###################################################
summary(fls1)


###################################################
### chunk number 20: 
###################################################
plotConv(fls1)


###################################################
### chunk number 21: 
###################################################
plotConv(fls1[1:100])


###################################################
### chunk number 22: 
###################################################
pmp.bma(fls1)[1:5,]


###################################################
### chunk number 23: 
###################################################
colSums(pmp.bma(fls1))


###################################################
### chunk number 24: 
###################################################
coef(fls1)[1:5,]


###################################################
### chunk number 25: 
###################################################
coef(fls1,exact=TRUE)[1:5,]


###################################################
### chunk number 26: 
###################################################
fls2= bms(datafls, burn=20000, iter=50000, g="BRIC", mprior="uniform", mcmc="rev.jump", start.value=0, user.int=F)
summary(fls2)


###################################################
### chunk number 27: 
###################################################
fls_combi = c(fls1,fls2)
summary(fls_combi)


###################################################
### chunk number 28: 
###################################################
fls_g5 = bms(datafls, burn=20000, iter=50000, g=5, mprior="uniform", user.int=F)
coef(fls_g5)[1:5,]
summary(fls_g5)


###################################################
### chunk number 29: 
###################################################
fls_ebl = bms(datafls, burn=20000, iter=50000, g="EBL", mprior="uniform", nmodel=1000, user.int=F)
summary(fls_ebl)


###################################################
### chunk number 30: 
###################################################
plot(fls_ebl)


###################################################
### chunk number 31: 
###################################################
fls_hyper = bms(datafls, burn=20000, iter=50000, g="hyper=UIP", mprior="random", mprior.size=7, nmodel=1000, user.int=F)
summary(fls_hyper)


###################################################
### chunk number 32: 
###################################################
gdensity(fls_hyper)


###################################################
### chunk number 33: 
###################################################
image(fls_hyper)


###################################################
### chunk number 34: 
###################################################
density(fls_combi,reg="Muslim")


###################################################
### chunk number 35: 
###################################################
coef(fls_combi,exact=T,condi.coef=T)["Muslim",]


###################################################
### chunk number 36: 
###################################################
density(fls_hyper,reg="Muslim",addons="Eebl")


###################################################
### chunk number 37: 
###################################################
data(attitude)


###################################################
### chunk number 38: 
###################################################
att_full = zlm(attitude,g="UIP")


###################################################
### chunk number 39: 
###################################################
summary(att_full)


###################################################
### chunk number 40: 
###################################################
att_best = as.zlm(att,model=1)
summary(att_best)


